| Earth Observation Mission CFI Software Lib Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.Geodetic Class Reference

Data structure defining the geodetic coordinates. More...

Inheritance diagram for EECFI.Geodetic:

List of all members.

## Public Member Functions
| Geodetic ()
| Class constructor.
| Geodetic (double longitud, double latitude, double altitud)
| Class constructor with parameters (without derivatives).
| Geodetic (double longitud, double latitude, double altitud, double longitudDer, double latitudeDer, double altitudeDer)
| Class constructor with parameters with derivatives.
native GeoDistance | geoDistance (final ModelId modelId, double lon, double lat) throws CfiError
| Get distance between two geodetic points.
## Public Attributes
long | deriv
| derivative flag (XLCFI_NO_DER or XLCFI_DER_1ST).
double | lon
| longitude.
double | lat
| latitude.
double | alt
| altitude.
double | lonDer
| longitude 1st. derivative.
double | latDer
| latitude 1st. derivative.
double | altDer
| altitude 1st. derivative.

## Detailed Description

Data structure defining the geodetic coordinates.

## Constructor & Destructor Documentation

EECFI.Geodetic.Geodetic | ( |  | ) |

Class constructor.

EECFI.Geodetic.Geodetic | ( | double | longitud,
|  | double | latitude,
|  | double | altitud |
| ) |  |  |

Class constructor with parameters (without derivatives).

EECFI.Geodetic.Geodetic | ( | double | longitud,
|  | double | latitude,
|  | double | altitud,
|  | double | longitudDer,
|  | double | latitudeDer,
|  | double | altitudeDer |
| ) |  |  |

Class constructor with parameters with derivatives.

## Member Function Documentation

GeoDistance EECFI.Geodetic::geoDistance | ( | final ModelId | modelId,
|  | double | lon,
|  | double | lat |
| ) |  |  | throws CfiError

Get distance between two geodetic points.

The geoDistance method calculates the geodesic distance between two points that lay on the same ellipsoid, and the azimuth of the related geodesic line at both points. See diagram below.

Parameters:

  | modelId | Model id.
  | lon | Longitude of the second point. Allowed range=[0, 360)
  | lat | Latitude of the second point. Allowed range=[-90, 90]

Returns:
  Geodesic information.

## Member Data Documentation

double EECFI.Geodetic.alt

altitude.

double EECFI.Geodetic.altDer

altitude 1st. derivative.

long EECFI.Geodetic.deriv

derivative flag (XLCFI_NO_DER or XLCFI_DER_1ST).

double EECFI.Geodetic.lat

latitude.

double EECFI.Geodetic.latDer

latitude 1st. derivative.

double EECFI.Geodetic.lon

longitude.

double EECFI.Geodetic.lonDer

longitude 1st. derivative.